/// <reference types="webpack" />
import { TransformOptions } from 'babel-core';
import { Condition, Loader, Rule } from 'webpack';
export declare const BABEL_LOADER = "babel-loader";
/**
 * @internal
 */
export interface RuleConversionResult {
    converted: number;
    rules: Rule[];
}
/**
 * @internal
 */
export interface LoaderConversionResult {
    converted: number;
    loaders: Loader | Loader[];
}
/**
 * @internal
 */
export interface LoaderArrayConversionResult extends LoaderConversionResult {
    loaders: Loader[];
}
/**
 * @internal
 */
export declare class BabelRuleConverter {
    private convertLoader(loader, options);
    private findAndConvertLoaders(ruleLoaders, options);
    private isBabelLoader(loader);
    convertLoaders(rules: Rule[], exclude: Condition[], options: TransformOptions): RuleConversionResult;
}
