/// <reference types="webpack" />
import { Compiler, Condition, Configuration, Compilation } from 'webpack';
import { BabelTarget } from './babel.target';
import { CompilationTargets } from './compilation.targets';
import { TempAsset } from './temp.emitter';
import { PluginsFn } from './babel.multi.target.options';
/**
 * @internal
 */
export declare class BabelTargetCompilerFactory {
    private compilation;
    private compilationTargets;
    private inputContext;
    private inputs;
    private configTemplate;
    private plugins;
    private exclude;
    constructor(compilation: Compilation, compilationTargets: CompilationTargets, inputContext: string, inputs: TempAsset[], configTemplate: Configuration, plugins: PluginsFn, exclude?: Condition[]);
    static createConfigResolveAlias(inputs: TempAsset[]): {
        [key: string]: string;
    };
    static createConfigEntry(alias: {
        [key: string]: string;
    }): any;
    static createConfigBase(target: BabelTarget, entry: any, alias: {
        [key: string]: string;
    }, template: Configuration, context: string, inputContext: string, pluginsFn?: PluginsFn): Configuration;
    createConfig(target: BabelTarget): Configuration;
    getIgnoredModules(): Condition[];
    createCompiler(target: BabelTarget): Compiler;
}
