/// <reference types="webpack" />
import { Compiler, Compilation, Configuration, Condition } from 'webpack';
import { PluginsFn } from './babel.multi.target.options';
import { BabelTarget } from './babel.target';
/**
 * @internal
 */
export declare class TranspilerCompiler {
    private targets;
    private config;
    private plugins;
    private exclude;
    private compilationTargets;
    constructor(targets: BabelTarget[], config: Configuration, plugins: PluginsFn, exclude: Condition[]);
    runChildCompilers(parent: Compilation, childCompilers: Compiler[]): Promise<void>;
    cleanUpOriginalCompilation(compilation: Compilation): void;
    init(compiler: Compiler): void;
    run(compilation: Compilation): Promise<void>;
}
